aboutsummaryrefslogtreecommitdiffstats
path: root/testing/qt5-qtquickcontrols/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2013-10-09 18:37:56 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-10-09 18:38:34 +0000
commit0a9d826bc928f75d52e7c82d748b426253782bc4 (patch)
tree9d1ea096c6bf841d16f6bfce2d571e184f53e0ef /testing/qt5-qtquickcontrols/APKBUILD
parent81e9ac9cfe3423927c8e8c334613e01ca39933ce (diff)
downloadaports-0a9d826bc928f75d52e7c82d748b426253782bc4.tar.gz
aports-0a9d826bc928f75d52e7c82d748b426253782bc4.tar.bz2
aports-0a9d826bc928f75d52e7c82d748b426253782bc4.tar.xz
testing/qt5-qtquickcontrols: new aport
Qt5 - module with set of QtQuick controls http://qt-project.org/
Diffstat (limited to 'testing/qt5-qtquickcontrols/APKBUILD')
-rw-r--r--testing/qt5-qtquickcontrols/APKBUILD39
1 files changed, 39 insertions, 0 deletions
diff --git a/testing/qt5-qtquickcontrols/APKBUILD b/testing/qt5-qtquickcontrols/APKBUILD
new file mode 100644
index 0000000000..94919121a3
--- /dev/null
+++ b/testing/qt5-qtquickcontrols/APKBUILD
@@ -0,0 +1,39 @@
+# Maintainer:
+pkgname=qt5-qtquickcontrols
+pkgver=5.1.1
+pkgrel=0
+pkgdesc="Qt5 - module with set of QtQuick controls"
+url="http://qt-project.org/"
+arch="all"
+license="BSD and (LGPLv2 with exceptions or GPLv3 with exceptions) and GFDL"
+depends=""
+depends_dev="qt5-qtbase-dev qt5-qtdeclarative-dev qt5-qtjsbackend-dev"
+makedepends="$depends_dev"
+install=""
+subpackages=""
+source="http://download.qt-project.org/official_releases/qt/5.1/$pkgver/submodules/qtquickcontrols-opensource-src-$pkgver.tar.xz"
+
+_builddir="$srcdir"/qtquickcontrols-opensource-src-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ qmake && make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make install INSTALL_ROOT="$pkgdir" || return 1
+}
+
+md5sums="6482ee0c4b11119ae5cb5080e61c18c0 qtquickcontrols-opensource-src-5.1.1.tar.xz"
+sha256sums="52fe58cb83f7b76d46abd12485713a7bd62a3b2739a7271098e0a1ea25d9fec3 qtquickcontrols-opensource-src-5.1.1.tar.xz"
+sha512sums="d5afe06465606a65a012b003055a2566b16caa77328f77c4ce5b713d94dde04744093ef8894cc0c58741320427815abcebed7d7694f3ff8cbcfe64d99de25261 qtquickcontrols-opensource-src-5.1.1.tar.xz"